summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Roberto Metere <roberto@metere.it>2012-07-26 23:40:18 -0500
committer Robby Workman <rworkman@slackbuilds.org>2012-07-26 23:40:18 -0500
commit171727b0ad5bc716fcdb2ecb349fd7b31168fdc5 (patch)
tree044285d8d9327617a2b747d1e5ef8c7b0d4cdf61 /network
parent9fc4bdba36c19ee9e829666a07a78304a3dc3547 (diff)
downloadslackbuilds-171727b0ad5bc716fcdb2ecb349fd7b31168fdc5.tar.gz
slackbuilds-171727b0ad5bc716fcdb2ecb349fd7b31168fdc5.tar.xz
network/pidginTeX: Added (LaTeX rendering plugin for Pidgin)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/pidginTeX/README10
-rw-r--r--network/pidginTeX/pidginTeX.SlackBuild93
-rw-r--r--network/pidginTeX/pidginTeX.info10
-rw-r--r--network/pidginTeX/pidginTeX.patch11
-rw-r--r--network/pidginTeX/slack-desc19
5 files changed, 143 insertions, 0 deletions
diff --git a/network/pidginTeX/README b/network/pidginTeX/README
new file mode 100644
index 0000000000..92f93b98e3
--- /dev/null
+++ b/network/pidginTeX/README
@@ -0,0 +1,10 @@
+PidginTeX plugin for the instant messaging client Pidgin and
+uses mimeTeX or mathTeX to render LaTeX expressions in messages
+and chat. It is intended for math but mathTeX is fully compatible
+with LaTeX and any package can be used and mimeTeX also supports
+many other features.
+
+The syntax is simple, write $$latex expression$$ anywhere in a
+message and an image will appear in the message log.
+
+This requires mathtex.
diff --git a/network/pidginTeX/pidginTeX.SlackBuild b/network/pidginTeX/pidginTeX.SlackBuild
new file mode 100644
index 0000000000..ba638615a4
--- /dev/null
+++ b/network/pidginTeX/pidginTeX.SlackBuild
@@ -0,0 +1,93 @@
+#!/bin/sh
+
+# Slackware build script for pidginTeX
+
+# Copyright 2012 by Roberto Metere (roberto@metere.it)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=pidginTeX
+VERSION=${VERSION:-1.1.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/${PRGNAM}-$VERSION.tar.gz
+cd ${PRGNAM}-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# Patch (needed for 64bit slackware)
+patch -p0 < $CWD/$PRGNAM.patch
+
+make CC="gcc $SLKCFLAGS"
+
+# Install (it's slightly strange, but works)
+LIB_SUFFIX="$LIBDIRSUFFIX" \
+PREFIX="$PKG/usr" \
+make install
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYING CHANGELOG README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/pidginTeX/pidginTeX.info b/network/pidginTeX/pidginTeX.info
new file mode 100644
index 0000000000..14f4382970
--- /dev/null
+++ b/network/pidginTeX/pidginTeX.info
@@ -0,0 +1,10 @@
+PRGNAM="pidginTeX"
+VERSION="1.1.1"
+HOMEPAGE="http://code.google.com/p/pidgintex/"
+DOWNLOAD="http://pidgintex.googlecode.com/files/pidginTeX-1.1.1.tar.gz"
+MD5SUM="b0f19a7b2f14d709c4acc32f7e46fcb5"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Roberto Metere"
+EMAIL="roberto@metere.it"
+APPROVED="rworkman"
diff --git a/network/pidginTeX/pidginTeX.patch b/network/pidginTeX/pidginTeX.patch
new file mode 100644
index 0000000000..9f3b39f7c1
--- /dev/null
+++ b/network/pidginTeX/pidginTeX.patch
@@ -0,0 +1,11 @@
+--- Makefile 2009-04-12 02:00:39.000000000 +0200
++++ Makefile.new 2012-07-03 10:51:00.333235364 +0200
+@@ -64,7 +64,7 @@
+ ifeq ($(PREFIX),)
+ LIB_INSTALL_DIR = $(HOME)/.purple/plugins
+ else
+- LIB_INSTALL_DIR = $(PREFIX)/lib/purple-2
++ LIB_INSTALL_DIR = $(PREFIX)/lib$(LIB_SUFFIX)/purple-2
+ endif
+ PLUGIN_DIR = $(PLUGIN)-$(PLUGIN_VERSION)
+
diff --git a/network/pidginTeX/slack-desc b/network/pidginTeX/slack-desc
new file mode 100644
index 0000000000..1275b9557b
--- /dev/null
+++ b/network/pidginTeX/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+pidginTeX: pidginTeX (plugin for Pidgin)
+pidginTeX:
+pidginTeX: A plugin for Pidgin which is a fast plugin for the instant messaging
+pidginTeX: client Pidgin and uses mimeTeX or mathTeX to render LaTeX expressions
+pidginTeX: in messages and chat. It is intended for math but mathTeX is fully
+pidginTeX: compatible with LaTeX and any package can be used and mimeTeX also
+pidginTeX: supports many other features.
+pidginTeX:
+pidginTeX:
+pidginTeX: http://code.google.com/p/pidgintex/
+pidginTeX: